Bug 35266 - Migrate desktop packages to UCS 4
Migrate desktop packages to UCS 4
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: X.Org
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.0
Assigned To: Alexander Kramer
Felix Botner
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-06 16:39 CEST by Stefan Gohmann
Modified: 2014-11-26 06:54 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-07-06 16:39:41 CEST
The following packages should be migrated to UCS 4:

 firefox-de
 firefox-en
 univention-fonts
 univention-gdm
 univention-java
 univention-kde
 univention-mozilla-firefox
 univention-ooffice2
 univention-x-core
 xserver-xorg-transition

I don't think we need the transition package in UCS 4. We should also start with the plain iceweasel packages instead of the firefox packages. But then we maybe need transition packages.

I think the univention-fonts package is no longer needed.

Instead of starting with KDE we could do some tests with a smaller window manager such as LXDE. In this case we could also re-check the GDM package.
 
Please consider the package migration list:

https://hutten.knut.univention.de/mediawiki/index.php/UCS-4.0_Univention_Package_Update
Comment 1 Moritz Muehlenhoff univentionstaff 2014-07-07 07:59:58 CEST
> I don't think we need the transition package in UCS 4. We should also start
> with the plain iceweasel packages instead of the firefox packages. But then
> we maybe need transition packages.
> 
> I think the univention-fonts package is no longer needed.

We should also drop univention-ooffice2
 
> Instead of starting with KDE we could do some tests with a smaller window
> manager such as LXDE. 

Or XFCE. It's more polished/user-friendly than LXDE, but still very lightweight in comparison to KDE.
Comment 2 Stefan Gohmann univentionstaff 2014-07-30 20:14:46 CEST
(In reply to Stefan Gohmann from comment #0)
> I don't think we need the transition package in UCS 4. We should also start
> with the plain iceweasel packages instead of the firefox packages. But then
> we maybe need transition packages.

We decided to use the firefox packages instead of iceweasel. So, we have to migrate the *firefox* packages.

> Instead of starting with KDE we could do some tests with a smaller window
> manager such as LXDE. In this case we could also re-check the GDM package.

One major feature we need with the desktop packages is the possibility to manage POSIX ACLs with a file manager. The only file manager with a good POSIX ACL support seems to be dolphin. Thus, I think we should start with KDE.

Instead of using GDM3 we should start with KDM which seems to be easier to configure.
Comment 3 Alexander Kramer univentionstaff 2014-08-22 14:57:06 CEST
Some infos for the migrated packages:

I adapted the compat-lvl, changelogs and copyrights.
No python specific adapations needed.
Had some problems to find deb-packages for the conffiles, so I
only adapted konqbrowser.desktop. Please tell me if i missed something.


Successful build
Package: firefox-de
Version: 1:24.7.0esr-2.44.201408221412

Package: firefox-en
Version: 1:24.7.0esr-2.38.201408221420

Package: univention-java
Version: 7.0.0-1.46.201408221428

Package: univention-kde
Version: 9.0.0-1.252.201408221435

Package: univention-mozilla-firefox
Version: 9.0.0-1.97.201408221442

Package: univention-x-core
Version: 8.0.0-1.133.201408221449
Comment 4 Stefan Gohmann univentionstaff 2014-08-22 15:11:08 CEST
Firefox and univention-java are currently not installable:

root@ucs-2565:~# apt-get install univention-mozilla-firefox firefox-en
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 firefox-en : Depends: ia32-libs but it is not going to be installed
              Depends: ia32-libs-gtk but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
root@ucs-2565:~#

root@ucs-2565:~# apt-get install univention-java
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 univention-java : Depends: ia32-libs-gtk but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
root@ucs-2565:~#
Comment 5 Stefan Gohmann univentionstaff 2014-08-25 08:32:59 CEST
I've added a changelog for all migrated packages: r52983
Comment 6 Alexander Kramer univentionstaff 2014-08-25 10:12:09 CEST
(In reply to Stefan Gohmann from comment #4)
ia32-libs-gtk depends on ia32-libs-i386
ia32-libs depends on ia32-libs-i386
These packages are in unmaintained and in the i386 section but the system is amd64. https://packages.debian.org/wheezy/ia32-libs-i386 says that the package is only a transition package which is there for multiarch migration.
Comment 7 Alexander Kramer univentionstaff 2014-08-25 14:15:26 CEST
Tried to install deb-package from omar with --ignore-depends and also
tried to install a local build deb-package without the dependencies for ia32-libs
 and ia32-libs-gtk. Both times i can install the package, but i'm getting this message if i start firefox:

/usr/bin/firefox: 36: exec: /opt/firefox/firefox: not found
Comment 8 Alexander Kramer univentionstaff 2014-08-25 15:16:44 CEST
(In reply to Alexander Kramer from comment #7)
> Tried to install deb-package from omar with --ignore-depends and also
> tried to install a local build deb-package without the dependencies for
> ia32-libs
>  and ia32-libs-gtk. Both times i can install the package, but i'm getting
> this message if i start firefox:
> 
> /usr/bin/firefox: 36: exec: /opt/firefox/firefox: not found

/opt/firefox/firefox exists and is an executable, so it seems that we need the dependencies
Comment 9 Stefan Gohmann univentionstaff 2014-08-26 08:07:51 CEST
(In reply to Alexander Kramer from comment #8)
> (In reply to Alexander Kramer from comment #7)
> > Tried to install deb-package from omar with --ignore-depends and also
> > tried to install a local build deb-package without the dependencies for
> > ia32-libs
> >  and ia32-libs-gtk. Both times i can install the package, but i'm getting
> > this message if i start firefox:
> > 
> > /usr/bin/firefox: 36: exec: /opt/firefox/firefox: not found
> 
> /opt/firefox/firefox exists and is an executable, so it seems that we need
> the dependencies

In this case the i386 libs are missing on the system. You can simply set ucr set repository/online/architectures='i386 amd64' and install the i386 libs, for example the package ia32-libs-i386. However, meanwhile a 64bit tarball is available. I've integrated this into the firefox-en and firefox-de package: r53017
Comment 10 Stefan Gohmann univentionstaff 2014-08-26 08:58:48 CEST
system-setup-boot uses firefox again: r53018
Comment 11 Stefan Gohmann univentionstaff 2014-08-26 21:16:06 CEST
r53058:
  * Switch from gdm to kdm (Bug #35266)
  * Use startkde as default session (Bug #35266)
Comment 12 Stefan Gohmann univentionstaff 2014-08-26 21:23:06 CEST
Changelog: r53061
Comment 13 Alexander Kramer univentionstaff 2014-08-27 10:43:19 CEST
r53072:
* Removed dependency ia32-libs-gtk [amd64] from univention-java

Successful build
Package: univention-java
Version: 7.0.0-2.47.201408271031
Comment 14 Alexander Kramer univentionstaff 2014-08-27 12:40:01 CEST
r53074:
 * Removed the dependencies univention-fonts 
 * and xserver-xorg-video-via (Bug #35266)

Successful build
Package: univention-x-core
Version: 8.0.0-2.134.201408271227

Some additional infos:
Both packages, univention-java and univention-x-core are currently in unmaintained.

The installation for all packages works.
I also installed kde over the umc and was able to login as Administrator.
Comment 15 Felix Botner univentionstaff 2014-09-01 17:46:58 CEST
OK - firefox-de
OK - firefox-en
OK - univention-fonts
OK - univention-java
OK - univention-kde
OK - univention-mozilla-firefox
OK - univention-x-core


OK -changelog
Comment 16 Stefan Gohmann univentionstaff 2014-11-26 06:54:53 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".